DragonFly BSD
DragonFly users List (threaded) for 2010-07
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: Abnormal termination of greeter

From: "Justin C. Sherrill" <justin@xxxxxxxxxxxxxxxxxx>
Date: Fri, 30 Jul 2010 09:16:44 -0400

On Fri, July 30, 2010 1:12 am, Krzysztof Langer wrote:

> Usually the problem was with png, atk and glib -> those were out-of-date
> and could not be updated with out deleting most gnome stuff (in the end
> you had to reinstall all apps or even DFBSD).
> All this started after redirecting vendor to master in Makefile.

Stick to the quarterly releases of pkgsrc whenever possible - going to
master for pkgsrc means that you could potentially be trying to build
packages right in the middle of a transition from one supporting lib to
another.  png, for instance, is required by thousands of packages. 
Quarterly releases should have a clean dependency list so you don't end up
needing, say, jpeg-7 and jpeg-8 at the same time.

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]